#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "fire2two26004xi.py">
#<abstract4xi abstract = "fires to direction two and to distance 2600"/>
#<verify4xi verification = "11" target = "verb4xi.py"/>
#<refer4xi reference = "verb4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'fire2two26004xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "


from time4xi import time4xi

#"
#/>
       
# -------------------------------------------------------------------------------------------------
# SHOT2TWO - COORDINATE SIGNS OF SHOOT2TWO4XI: (X + ,Y - ,Z - )
# -------------------------------------------------------------------------------------------------    
global shot2two26004xi

#"
#/>

#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False

# -------------------------------------------------------------------------------------------------
# 2600
# -------------------------------------------------------------------------------------------------
shot2two26004xi = {
        1:'1010x-998y-2177z',
        2:'1011x-2380y-262z',
        3:'103x-1101y-2352z',
        4:'1044x-929y-2191z',
        5:'104x-1380y-2200z',
        6:'1074x-860y-2205z',
        7:'1100x-789y-2219z',
        8:'1101x-51y-2354z',
        9:'1120x-111y-2343z',
        10:'1121x-719y-2232z',
        11:'1133x-2321y-288z',
        12:'1136x-173y-2332z',
        13:'1138x-648y-2245z',
        14:'1148x-237y-2320z',
        15:'1150x-577y-2258z',
        16:'1157x-302y-2308z',
        17:'1158x-507y-2271z',
        18:'1161x-370y-2296z',
        19:'1161x-438y-2284z',
        20:'1252x-2256y-313z',
        21:'1339x-2228y-24z',
        22:'1367x-2185y-339z',
        23:'1453x-2155y-50z',
        24:'1477x-2107y-365z',
        25:'1564x-2075y-76z',
        26:'157x-1071y-2363z',
        27:'1583x-2024y-391z',
        28:'1669x-1990y-102z',
        29:'1684x-1935y-416z',
        30:'174x-1350y-2214z',
        31:'1771x-1899y-128z',
        32:'1780x-1842y-442z',
        33:'1866x-1802y-154z',
        34:'186x-1680y-1975z',
        35:'1871x-1743y-468z',
        36:'1956x-1639y-493z',
        37:'1957x-1701y-180z',
        38:'2035x-1532y-519z',
        39:'2042x-1595y-206z',
        40:'209x-1038y-2374z',
        41:'2108x-1420y-544z',
        42:'2121x-1485y-232z',
        43:'2175x-1305y-570z',
        44:'2194x-1370y-257z',
        45:'2235x-1187y-595z',
        46:'2260x-1252y-283z',
        47:'227x-2587y-106z',
        48:'2288x-1065y-620z',
        49:'2320x-1131y-309z',
        50:'2335x-942y-645z',
        51:'2373x-1007y-335z',
        52:'2375x-816y-671z',
        53:'2408x-689y-696z',
        54:'240x-1318y-2228z',
        55:'2419x-880y-361z',
        56:'2434x-560y-721z',
        57:'2453x-431y-746z',
        58:'2458x-751y-386z',
        59:'2464x-301y-770z',
        60:'2466x-41y-820z',
        61:'2469x-171y-795z',
        62:'2490x-621y-412z',
        63:'2511x-672y-7z',
        64:'2515x-489y-438z',
        65:'2533x-356y-463z',
        66:'2542x-540y-33z',
        67:'2543x-222y-489z',
        68:'2546x-88y-514z',
        69:'2567x-406y-59z',
        70:'257x-1003y-2384z',
        71:'2584x-271y-85z',
        72:'2594x-135y-111z',
        73:'270x-1648y-1991z',
        74:'303x-1282y-2241z',
        75:'313x-1002y-2487z',
        76:'32x-1405y-2186z',
        77:'352x-1612y-2008z',
        78:'362x-2571y-132z',
        79:'364x-1242y-2254z',
        80:'421x-1200y-2267z',
        81:'431x-1572y-2024z',
        82:'46x-1129y-2341z',
        83:'475x-1155y-2279z',
        84:'496x-2547y-158z',
        85:'506x-1528y-2041z',
        86:'525x-1108y-2292z',
        87:'571x-1059y-2304z',
        88:'578x-1481y-2057z',
        89:'614x-1008y-2316z',
        90:'628x-2516y-184z',
        91:'646x-1429y-2072z',
        92:'652x-955y-2328z',
        93:'687x-901y-2339z',
        94:'710x-1375y-2088z',
        95:'719x-846y-2350z',
        96:'721x-20y-2497z',
        97:'744x-60y-2490z',
        98:'746x-790y-2361z',
        99:'758x-2477y-210z',
        100:'764x-102y-2482z',
        101:'769x-734y-2372z',
        102:'771x-1318y-2103z',
        103:'782x-147y-2474z',
        104:'788x-677y-2383z',
        105:'798x-193y-2466z',
        106:'804x-620y-2393z',
        107:'810x-242y-2458z',
        108:'815x-564y-2403z',
        109:'819x-292y-2449z',
        110:'823x-507y-2413z',
        111:'825x-344y-2441z',
        112:'827x-1258y-2119z',
        113:'828x-398y-2432z',
        114:'828x-452y-2422z',
        115:'879x-1196y-2134z',
        116:'886x-2432y-236z',
        117:'927x-1132y-2148z',
        118:'92x-2597y-80z',
        119:'971x-1066y-2163z',
        120:'99x-1707y-1958z',
        121:'9x-1729y-1940z'}
        
        
#"
#"/>

        
# -------------------------------------------------------------------------------------------------
#<function4xi function = "fire2600two4xi" usage = "target function for chargeone4xi with Process4Xi">
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def fire2600two4xi(queue2two, consumer_channel2two, publisher_channel2two):
    '''
    returns (x,y,z) coordinates via queue
    '''
    
    # -------------------------------------------------------------------------------------------------
    # PARAMETERS                   
    # -------------------------------------------------------------------------------------------------                                                               
    
    time2start = time4xi()
    if ack2debug is True:
        print("\n (STEP 1A1/33) OF FIRE2600TWO4XI - STARTED TIME: ", time2start)
        # 
        
        print("\n (STEP 1A2/33) OF FIRE2600TWO4XI -  QUEUE2TWO: ", queue2two)      
        # 
        
        print("\n (STEP 1A3/33) OF FIRE2600TWO4XI -  CONSUMER_CHANNEL2TWO: ", consumer_channel2two)
        # 
              
        print("\n (STEP 1A4/33) OF FIRE2600TWO4XI -  PUBLISHER_CHANNEL2TWO: ", publisher_channel2two)          
        # 
        


    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    # QUEUE RETURNING
    # ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ack2put = False
    if ack2debug is True:
        print("\n (STEP 2A/33) OF FIRE2600TWO4XI - TRYING TO RETURN BY PUTTING COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
        # 
         
    try:
        # ------------------------------------------------------------------------------------- 
        # PUT SHOT TO QUEUE 
        # -------------------------------------------------------------------------------------                 
        queue2two.put(shot2two26004xi)
        if ack2debug is True:
            print("\n (STEP 2B/33) OF FIRE2600TWO4XI - SUCCEEDED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
            # 
             
        ack2put = True
    except:
        print("\n (STEP 2C/33) OF FIRE2600TWO4XI *** FAILED TO PUT COORDINATE DICTIONARY TO QUEUE2TWO: ", queue2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:
        print("\n (STEP 3A/33) OF FIRE2600TWO4XI - TRYING TO INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi())
        # 
         
    try:                
        # ---------------------------------------------------------------------------------------------
        # INFORM PUT OPERATIONS VIA PIPE'S PUBLISHER CHANNEL 
        # ---------------------------------------------------------------------------------------------
        if ack2put is True:
            message2send4one = "<ack2put4xi>queue2two8shot2two26004xi</ack2put4xi>"
        else:
            message2send4one = "<nack2put4xi>queue2two8shot2two26004xi</nack2put4xi>" 
            
        publisher_channel2two.send(message2send4one)
        if ack2debug is True:    
            print(" (STEP 3B/33) OF FIRE2600TWO4XI -  SENT MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
            #  
        
    except:
        print(" (STEP 3C/33) OF FIRE2600TWO4XI *** FAILED TO SEND MESSAGE2SEND4ONE: ", message2send4one, " TO PUBLISHER_CHANNEL2TWO: ", publisher_channel2two, " - TIME: ", time4xi()) 
    
    if ack2debug is True:        
        print("\n (STEP 3D/33) OF FIRE2600TWO4XI - RETURNING QUEUE OBJECT QUEUE2TWO: ", queue2two, " - TIME: ", time4xi())  
        # 
            
    return queue2two    
        
           
#</function4xi>


#</program4xi>
# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_verbkb4xi.txt
#   sense-test-verb4xi.xml
#   reason-test-verb4xi.xml
#   ace-test-verb4xi.xml
#"
#>

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of fire2two26004xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>
        